# PreTextSource - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.MessageEntity.textsources / PreTextSource

# PreTextSource

(common) `class PreTextSource : TextSource` (source)

### Constructors

(common)

#### <init>

`PreTextSource(source: String, language: String? = null)`

### Properties

(common)

#### asHtmlSource

`val asHtmlSource: String`

(common)

#### asMarkdownSource

`val asMarkdownSource: String`

(common)

#### asMarkdownV2Source

`val asMarkdownV2Source: String`

(common)

#### language

`val language: String?`

(common)

#### source

`val source: String`